cURL
curl --request GET \
--url https://sandbox.zapyd.com/ren/api/v1/payin/edd/list \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/ren/api/v1/payin/edd/list"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/ren/api/v1/payin/edd/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"count": 1,
"next": null,
"previous": "<url>",
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "PROCESSING"
}
]
}
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Limits and EDD
Payin EDD Logs
Lists your organization’s payin EDD submissions.
GET
/
ren
/
api
/
v1
/
payin
/
edd
/
list
cURL
Payin EDD Logs
| API Status Code | Response | Reason |
|---|---|---|
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Query Parameters
Filter by customer
Filter by EDD submission ID
Filter by status
Available options:
PROCESSING, DOCS_REQ, IN_REVIEW, VERIFIED, FAILED Page number
Required range:
x >= 1Results per page (1–100)
Required range:
1 <= x <= 100Response
Payin EDD logs fetched successfully
Example:
true
Example:
"Success"